Bug 7788 - Prepare ROSA Desktop Fresh R9 KDE 4 release
: Prepare ROSA Desktop Fresh R9 KDE 4 release
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-16 12:22 MSK by Andrey Bondrov
Modified: 2017-08-04 18:12 MSD (History)
1 user (show)

See Also:
RPM Package: various
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
пример PDF (33.36 KB, application/pdf)
2017-03-31 09:51 MSD, Vladimir Potapov
Details
ss (213.77 KB, image/png)
2017-03-31 09:53 MSD, Vladimir Potapov
Details
config file (1.78 KB, application/octet-stream)
2017-04-07 15:23 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-03-16 12:22:57 MSK
32 bit ISO for testing: https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/product_build_lists/18124
Comment 1 Andrey Bondrov 2017-03-17 15:37:05 MSK
64 bit ISO with 4.9.14 kernel: https://abf.io/platforms/rosa2016.1/products/190/product_build_lists/18138
Comment 2 Andrey Bondrov 2017-03-17 20:37:47 MSK
64 bit ISO with 4.9.14 kernel and restored old look: https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/product_build_lists/18140
Comment 3 Vladimir Potapov 2017-03-20 16:34:24 MSK
(In reply to comment #2)
> 64 bit ISO with 4.9.14 kernel and restored old look:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18140

#7791 present for the iso
Comment 4 Vladimir Potapov 2017-03-20 16:35:07 MSK
bug#7791
Comment 5 Vladimir Potapov 2017-03-22 19:18:02 MSK
For folder context menu I can't find items:
Actions
Archive
Comment 6 Andrey Bondrov 2017-03-22 20:30:37 MSK
(In reply to comment #5)
> For folder context menu I can't find items:
> Actions
> Archive

Indeed, kde4-libkonq was missing.
Comment 7 Andrey Bondrov 2017-03-23 13:43:35 MSK
(In reply to comment #5)
> For folder context menu I can't find items:
> Actions
> Archive

Should be fixed in new ISO: https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/product_build_lists/18201
Comment 8 Vladimir Potapov 2017-03-27 17:41:32 MSD
(In reply to comment #7)
> Should be fixed in new ISO:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18201
ok, fixed
Comment 9 Vladimir Potapov 2017-03-27 17:42:37 MSD
При инсталляции, когда вводится рутовый пароль, вокруг окна инсталлятора появляется странная рамка, такое бывало когда на заднем плане окно ошибки возникало и обычно сигнализировало о проблемах.
Comment 10 Vladimir Potapov 2017-03-27 18:21:23 MSD
Не решена проблема заставки плимута после установки проприетарных драйверов nvidia
Comment 11 Vladimir Potapov 2017-03-27 18:37:52 MSD
В kcolorfolder в r9 не работает выбор пользовательского значка
http://bugs.rosalinux.ru/show_bug.cgi?id=7789
Comment 12 Andrey Bondrov 2017-03-27 21:21:43 MSD
(In reply to comment #9)
> При инсталляции, когда вводится рутовый пароль, вокруг окна инсталлятора
> появляется странная рамка, такое бывало когда на заднем плане окно ошибки
> возникало и обычно сигнализировало о проблемах.

Сейчас там просто окно, на котором написано, что всё ок. Собственно, это окно потом и видно, когда введён пароль рута. Не знаю даже, можно ли с этим что-то сделать, стоит ли заморачиваться.
Comment 13 Vladimir Potapov 2017-03-30 15:36:48 MSD
Мозиловский громоптиц переведен частично, календарь и тасклист по-аглицки.
У нас как-то это уже отваливалось и чинили.
http://bugs.rosalinux.ru/show_bug.cgi?id=7772
Comment 14 Vladimir Potapov 2017-03-30 16:11:31 MSD
предлагаю удалить экзотические словари
myspell-de_AT (австроийский немецкий)
myspell-de_CH (швейцарский немецкий)
myspell-es_MX (мексиканский испанский)
Comment 15 Andrey Bondrov 2017-03-30 16:26:29 MSD
(In reply to comment #14)
> предлагаю удалить экзотические словари
> myspell-de_AT (австроийский немецкий)
> myspell-de_CH (швейцарский немецкий)
> myspell-es_MX (мексиканский испанский)

Удалил.
Comment 16 Vladimir Potapov 2017-03-30 16:39:17 MSD
еще забыл 
myspell-fr_BE
myspell-pl_PL
Comment 17 Vladimir Potapov 2017-03-30 16:40:04 MSD
(In reply to comment #16)
> еще забыл 
> myspell-fr_BE
тьфу, польский не надо, только бельгийский французский
Comment 18 Vladimir Potapov 2017-03-31 09:51:58 MSD
Created attachment 4601 [details]
пример PDF
Comment 19 Vladimir Potapov 2017-03-31 09:53:58 MSD
Created attachment 4602 [details]
ss

PDF-документ показывается неправильно (воспроизвелось на KDE4X64 и plasma последних сборок)
Comment 20 Vladimir Potapov 2017-03-31 09:54:33 MSD
(In reply to comment #19)
> Created attachment 4602 [details]
> ss
> 
> PDF-документ показывается неправильно (воспроизвелось на KDE4X64 и plasma
> последних сборок)
в Okular
Comment 21 Andrey Bondrov 2017-03-31 10:16:43 MSD
(In reply to comment #18)
> Created attachment 4601 [details]
> пример PDF

У меня нормально. Может, webcore-fonts надо поставить?
Comment 22 Vladimir Potapov 2017-03-31 10:33:23 MSD
(In reply to comment #21)
> (In reply to comment #18)
> > Created attachment 4601 [details]
> > пример PDF
> 
> У меня нормально. Может, webcore-fonts надо поставить?
Твоя правда, webcore-fonts решает проблему.
Comment 25 Vladimir Potapov 2017-04-07 13:43:44 MSD
(In reply to comment #24)
> 32 bit ISO:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18338
> 
> 64 bit ISO:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18339
rosa freeze не работает

частичная русификация audacity
в комплект почему-то попал konqueror (удаляется без проблем)
KDE-меню попало, похоже, еще от r7 - без группы "игры" в sw и без спрятывания части утилит.
Comment 26 Andrey Bondrov 2017-04-07 14:04:14 MSD
(In reply to comment #25)
> частичная русификация audacity

Интересно, кто бы это мог исправить...

> в комплект почему-то попал konqueror (удаляется без проблем)

Убрал из списка пакетов, в следующих образах не будет.

> KDE-меню попало, похоже, еще от r7 - без группы "игры" в sw и без
> спрятывания части утилит.

Написал Уралу, может починит оперативно. Там не меню из R7, а изменения в именах и расположении desktop-файлов при переходе на KF5.
Comment 27 Andrey Bondrov 2017-04-07 14:46:14 MSD
Вот эта сборка будет нужна для тестирования поправленного /var/lib/mandriva/kde4-profiles/common/share/config/ROSA_Launcherrc

Advisory: "Add /usr/share/applications/kde5 to paths supported by SimpleWelcome (needed for groups)"

https://abf.rosalinux.ru/build_lists/2868226
https://abf.rosalinux.ru/build_lists/2868229
Comment 28 Vladimir Potapov 2017-04-07 15:23:54 MSD
Created attachment 4610 [details]
config file
Comment 29 Andrey Bondrov 2017-04-07 16:13:25 MSD
Advisory: "Update SimpleWelcome config to match KF5 applications"

https://abf.rosalinux.ru/build_lists/2868264
https://abf.rosalinux.ru/build_lists/2868265
Comment 30 Andrey Bondrov 2017-04-07 17:20:37 MSD
Fixed SimpleWelcome config:

Advisory: "Update SimpleWelcome config to match KF5 applications"

https://abf.rosalinux.ru/build_lists/2868283
https://abf.rosalinux.ru/build_lists/2868284
Comment 31 Vladimir Potapov 2017-04-09 20:31:47 MSD
(In reply to comment #30)
> Fixed SimpleWelcome config:
> 
> Advisory: "Update SimpleWelcome config to match KF5 applications"
> 
> https://abf.rosalinux.ru/build_lists/2868283
> https://abf.rosalinux.ru/build_lists/2868284
***************************
QA Verified
Comment 32 Vladimir Potapov 2017-04-09 20:32:29 MSD
(In reply to comment #27)
> Вот эта сборка будет нужна для тестирования поправленного
> /var/lib/mandriva/kde4-profiles/common/share/config/ROSA_Launcherrc
> 
> Advisory: "Add /usr/share/applications/kde5 to paths supported by
> SimpleWelcome (needed for groups)"
> 
> https://abf.rosalinux.ru/build_lists/2868226
> https://abf.rosalinux.ru/build_lists/2868229
********************
QA Verified
Comment 34 Vladimir Potapov 2017-04-13 12:19:08 MSD
$ partitionmanager 
kdesu(5304) startApp: Daemon not safe (not sgid), not using it.
Comment 35 Andrey Bondrov 2017-04-13 13:05:47 MSD
(In reply to comment #34)
> $ partitionmanager 
> kdesu(5304) startApp: Daemon not safe (not sgid), not using it.

Это нормально, так и надо.
Comment 36 Vladimir Potapov 2017-04-13 13:13:57 MSD
(In reply to comment #35)
> (In reply to comment #34)
> > $ partitionmanager 
> > kdesu(5304) startApp: Daemon not safe (not sgid), not using it.
> 
> Это нормально, так и надо.
Так оно потом не запускается. Если вручную через kdesu или su -  - работает, а со значка не запускается, причем только в KDE4
Comment 37 Vladimir Potapov 2017-04-13 13:14:39 MSD
огнелис опять язык контента по-умолчанию выбирает английский. 
И в плазме, и в kde4.
Comment 38 Vladimir Potapov 2017-04-13 13:32:09 MSD
(In reply to comment #37)
> огнелис опять язык контента по-умолчанию выбирает английский. 
> И в плазме, и в kde4.
первый запуск - русский, дальше - английский. Если сотрешь настройки - опять русский "на один раз"
Comment 39 Andrey Bondrov 2017-04-13 13:40:46 MSD
(In reply to comment #36)
> > Это нормально, так и надо.
> Так оно потом не запускается. Если вручную через kdesu или su -  - работает,
> а со значка не запускается, причем только в KDE4

Ага, понял, ему надо kde-cli-tools. Соберу сегодня новые образы.
Comment 40 Andrey Bondrov 2017-04-13 17:29:57 MSD
(In reply to comment #39)
> (In reply to comment #36)
> > > Это нормально, так и надо.
> > Так оно потом не запускается. Если вручную через kdesu или su -  - работает,
> > а со значка не запускается, причем только в KDE4
> 
> Ага, понял, ему надо kde-cli-tools. Соберу сегодня новые образы.

32 bit ISO: https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/product_build_lists/18399

64 bit ISO: https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/product_build_lists/18400
Comment 41 Vladimir Potapov 2017-04-17 17:20:20 MSD
> 32 bit ISO:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18399
> 
> 64 bit ISO:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18400
*******************************
QA Verified
Comment 43 Vladimir Potapov 2017-04-18 08:23:44 MSD
(In reply to comment #42)
> Спецсборки:
> 
> 32 bit (UEFI):
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18436
> 
> 64 bit (без UEFI):
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18438
Comment 44 Vladimir Potapov 2017-04-18 08:24:01 MSD
(In reply to comment #42)
> Спецсборки:
> 
> 32 bit (UEFI):
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18436
> 
> 64 bit (без UEFI):
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/18438

******************************
QA Verified